Market Radar API
API referenceFilters

The catalogue and the account's own filters

section narrows the catalogue. Not paged.

GET
/filters

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Query Parameters

section?string

Value in

  • "what_happened"
  • "subject"
  • "leave_out"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/filters"
{  "catalogue": [    {      "section": "what_happened",      "category": {        "key": "string",        "label": "string"      },      "filters": [        {          "id": 1,          "key": "string",          "kind": "event",          "label": "string",          "definition": "string",          "terms": [            "string"          ],          "keeps": "string"        }      ]    }  ],  "own": [    {      "id": 1,      "key": "string",      "kind": "event",      "label": "string",      "definition": "string",      "terms": [        "string"      ],      "keeps": "string"    }  ]}